
GammaLib - Feature #1517

Add support for Fermi/LAT Pass 8 response functions

07/24/2015 09:12 PM - Knödlseder Jürgen

Status: Closed Start date: 07/24/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

The Fermi/LAT data have been switched to Pass 8, hence we need now also to support Pass 8 in GammaLib.

I created a branch lat-pass8 for that and started by adding a Pass 8 test data set and Pass 8 response functions to the CALDB

directory.

The big job of coding Pass 8 support, through, is still ahead.

Subtasks:

Action # 1518: Generalize Fermi-LAT front/back response handling to general handling of... Closed

Action # 1519: Implement fish-eye correction in Fermi-LAT PSF. Closed

Action # 1799: Test Fermi/LAT Pass8 response handling Closed

Related issues:

Related to GammaLib - Feature # 306: Clean up Fermi/LAT response classes In Progress 07/09/2012

History

#1 - 07/24/2015 09:35 PM - Knödlseder Jürgen

One of the things that should be done is using the GCaldb for response access. The response is now becoming more complicated and we can't

construct anymore directly the filenames in a simple way. There exists already an issue for that: #293.

Another thing that is needed is to split the front/back handling in a general handling of several response types. For example, Pass 8 now has 4 PSF

response types. There is issue #1518 for that.

#2 - 07/24/2015 09:36 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

#3 - 10/13/2017 10:49 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed
